<?php
namespace FiloBlu\Countdown\Model\Countdown\Source;

class IsEnabled implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \FiloBlu\Countdown\Model\Countdown
     */
    protected $countdown;

    public function __construct(\FiloBlu\Countdown\Model\Countdown $countdown)
    {
        $this->countdown = $countdown;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->countdown->getAvailableStatuses();

        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}